import os

from vlcishared.env_variables.config import get_config
from vlcishared.env_variables.secrets import get_secret

# Configuración ETL
EXEC_ENV = os.getenv('PYTHON_ENV')
ETL_NAME = get_config('ETL_NAME')
LOG_LEVEL = get_config('LOG_LEVEL')
LOG_FOLDER = get_config('LOG_FOLDER')


# Configuración Postrgresql
POSTGRES_USER = get_secret('GLOBAL_DATABASE_POSTGIS_LOGIN_VLCI2')
POSTGRES_PASS = get_secret('GLOBAL_DATABASE_POSTGIS_PASSWORD_VLCI2')
POSTGRES_SCHEMA = get_secret('GLOBAL_DATABASE_POSTGIS_SCHEMA_VLCI2')
POSTGRES_HOST = get_secret('GLOBAL_DATABASE_POSTGIS_HOST_VLCI2')
POSTGRES_PORT = get_secret('GLOBAL_DATABASE_POSTGIS_PORT_VLCI2')
POSTGRES_DATABASE = get_secret('GLOBAL_DATABASE_POSTGIS_DATABASE_VLCI2')
CONTRATOS_MENORES_TABLE = get_config('CONTRATOS_MENORES_TABLE')
UNIDADES_ADMINISTRATIVAS_TABLE = get_config('UNIDADES_ADMINISTRATIVAS_TABLE')


# Configuración para SOAP service
BDO_SERVICE_URL = get_secret('GLOBAL_BDO_SERVICE_URL')
SOAP_SERVICE_USER = get_secret('GLOBAL_SOAP_SERVICE_USERNAME')
SOAP_SERVICE_PASSWORD = get_secret('GLOBAL_SOAP_SERVICE_PASSWORD')
XML_ALL_AREAS_MODEL = get_config('XML_ALL_AREAS_MODEL')
XML_FIND_UNIDAD_ADMIN_MODEL = get_config('XML_FIND_UNIDAD_ADMIN_MODEL')
XML_GET_UNIDAD_ORG_MODEL = get_config('XML_GET_UNIDAD_ORG_MODEL')


# Entidad que se desea parsear de la respuesta del servicio
ENTITY = get_config('ENTITY')

# Queries
SELECT_UNIDAD_ADMIN_QUERY = get_config('SELECT_UNIDAD_ADMIN_QUERY')
FECHA_ADJUDICACION_MAX_QUERY = get_config('FECHA_ADJUDICACION_MAX_QUERY')
